Subject: make check failures
From: "Chang, Christopher" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 16 Jul 2013 11:31:41 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

   I'm reporting these at the urging of the "make check" output.
   Built guile 1.8.8 with GCC 4.8.1 and the configuration

./configure --with-local-prefix=$HOME --prefix=$HOME --build=x86_64-linux-gnu CPPFLAGS=-I$HOME/include LIBS='-ldl' --enable-static --disable-shared --with-threads --disable-error-on-warning

Test failures were

/home/cchang/Packages/guile-1.8.8/test-suite/standalone/test-require-extension: line 15: 34713 Segmentation fault      (core dumped) guile -q -c '(require-extension (srfi 1)) (exit (procedure? take-right))'
FAIL: test-require-extension

ERROR: In procedure dynamic-link:
ERROR: file: "./libtest-asmobs", message: "file not found"
FAIL: test-asmobs

/bin/sh: line 5: 34832 Segmentation fault      (core dumped) builddir="." "../../pre-inst-guile-env" ${dir}$tst
FAIL: test-fast-slot-ref

/home/cchang/Packages/guile-1.8.8/test-suite/standalone/test-use-srfi: line 27: 34862 Segmentation fault      (core dumped) guile -q -l /home/cchang/Packages/guile-1.8.8/libguile/stack-limit-calibration.scm --use-srfi=1,10 > /dev/null  <<EOF
(if (and (defined? 'partition)
         (defined? 'define-reader-ctor))
    (exit 0)   ;; good
    (exit 1))  ;; bad
EOF
guile --use-srfi=1,10 fails to run
FAIL: test-use-srfi

Let me know if I can provide more info.

Chris

--
Christopher H. Chang, Ph.D.
Computational Scientist IV
National Renewable Energy Laboratory
15013 Denver West Parkway, MS ESIF301
Golden, CO 80401
Phone (303) 275-3751
Fax (303) 275-4007